===============================================================================
        Intel(R) Server Platform Integrated BMC Firmware Release Notes       
===============================================================================


INTEL(R) Server Systems 
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA


===============================================================================
DATE:       23 September, 2014



TO:         Intel(R) Server Board S1400xx, S1600xx, S2400xx, S2600xx, W2600xx,
            & S4600xx customers V1 & V2


SUBJECT:    Integrated BMC(R) firmware 01.22.6890 release notes


===============================================================================
                               LEGAL INFORMATION
===============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.


Intel is a registered trademark of Intel Corporation. 


*Other names and brands are the property of their respective owners.


Copyright (c) 2013,2014 Intel Corporation.


A portion of this firmware is open source code.
The OSS source code that the customer is entitled to per OSS license has been
posted on the Intel support website at the following link:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=21081


This open source code falls under the GPL 2.0 license, please see the license
at the following link:

http://www.opensource.org/licenses/gpl-2.0.php  


===============================================================================
                            ABOUT THIS RELEASE PACKAGE
===============================================================================
Source file: BMC_i_0122r6890.bin
Update script: fwUpdateBMC.nsh

REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   01.22.6890

UBoot mode:         1.17
Device ID:          0x21
Manufacturer ID:    0x000157

Other version/revision information:

PSU Model          H/W revision      FW Version 
DPS 460KB A          S3               3.09.31
DPS 750XB A          S4               5.**.100           
DPS 750AB 5A         S2               2.03.07 
DPS 750AB 32A        S3               15.03.03
 
DPS 1200TB A         02               6.40.89 
PSSF162202A          00               0.09.64
PSSW162201A          S3               05.02.128
PSSF162202A          02A              0.09.68

HSBP FW:            01.08
Root/OS/WWW:        9.19
FWPIAUPD Utility:   11.0B9


MD5 checksum of BMC_i_0122r6890.bin: e1260e7b2a40c3e8b079e2e35865f933

-------------------------------------------------------------------------------


===============================================================================
                         IMPORTANT INSTALLATION NOTES
===============================================================================
The following update process must be followed to ensure a trouble free updating
of your baseboard.  The order is important to minimize any issues for status
checking as different components are initialized.
1.  BMC firmware
2.  BIOS
3.  Manageability Engine (ME) firmware
4.  FRU/SDR package specific to the baseboard.
5.  NIC EEPROM

===============================================================================
                            INSTALLATION PROCEDURE
===============================================================================
1.  Extract the entire contents of this archive file to the
    storage medium of your choice. This can be a hard disk, floppy disk
    or USB flash drive.
    All of the files in the zip archive must reside in the same directory.

2.  Boot to EFI and then run the BMC.nsh script file to update the
    Integrated BMC.

    Modification of the update script with your own command line parameters is
    not supported and doing so is at your own risk!

3.  Install latest available FRU/SDR package specific to the platform.

===============================================================================
                     FIRMWARE RECOVERY PROCEDURES
===============================================================================
The Recovery process can be initiated by setting the recovery jumper (called 
BMC Force Update Jumper) to the recovery position.

The jumper is normally in the normal/de-asserted position. The system must be
completely powered off (A/C power removed) before the jumper is moved.

After power is re-applied and the firmware update is complete, the system must
be powered off again and the jumper must be returned to the de-asserted
position before normal operation can begin.

A BMC recovery can be accomplished from a USB flash drive. 

1.  Copy the entire contents of this archive file to the
    storage USB flash drive.
    All of the files in the zip archive must reside in the same directory.

2.  Remove A/C power from the system and wait 30 seconds.

3.  Move the BMC Force Update Jumper to the recovery position. 
    Details regarding the jumper ID and location can be obtained from the
    Board TPS for that Platform.

4.  Insert the USB flash drive.

5.  Reapply A/C power to the system and power on the system.

6.  The BIOS POST screen will appear displaying the progress press F6 to
    select boot options. At the boot option menu select to boot to the
    EFI SHELL.

7.  Switch to the directory where you stored the update files and then run
    the BMC.nsh script file to update the Integrated BMC.

    Modification of the update script with your own command line parameters is
    not supported and doing so is at your own risk!

8.  Remove A/C power from the system and wait 30 seconds.

9.  Move the BMC Force Update Jumper to the normal position.

10. Reapply A/C power to the system and power on the system.


===============================================================================
                     FIRMWARE UPGRADE/DOWNGRADE PROCEDURES
===============================================================================
Upgrade of BMC FW from version 01.22.6890 to later versions will be documented
in the release notes for those versions.

Reverting to a lower version of firmware may have unexpected side effects,
including but not limited to user settings reset to defaults, and will always
result in the loss of functionality which was present in the higher version
but was not implemented in the lower version.
We do not guarantee that any downgrade will operate without side-effects.

Always observe caution when downgrading firmware.

WARNING: There were changes in the size of the user-information database at
certain releases. Be advised that the following downgrades WILL cause a reset
of all user settings to their default settings.
1.  01.07 or newer -> 1.05 or older
2.  01.05 or newer -> 01.01 or older

Downgrade of BMC FW from version 01.22.6890 to all versions down to 01.00.2612
inclusive is supported (but is not fully validated) by using the appropriate
firmware update program included in the package for the earlier version.
It is recommended that after a downgrade of the firmware the firmware settings
be restored to factory defaults.

Downgrade of BMC FW from 01.21.6580 to versions lower than BMC 00.16.1504 is
unsupported.
 

===============================================================================
                        KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
===============================================================================
- BIOS R02.01.0002 and later is compliant to UEFI specification 2.3.1.
  If the system is running these versions then the user needs to update their
  utilities and System Management Software to the versions shown below. 
  Failure to do so may cause the lower versions of the utilities and System
  Management Software to malfunction.
    Utilities
      OFU       v11 Build 14 or higher
      selview   v11 Build 10 or higher
      syscfg    v12 Build 8 or higher
      sysinfo   v12 Build 10 or higher
    
    System Management Software
      Intel(R) Active System Console (IASC)  6.1.10 or higher
      Intel(R) SNMP Subagent (SNMP-SA)       6.0.10 or higher
      Intel(R) Deployment Assistant (IDA)    5.1.3 or higher

- This BMC FW update package is to be used only on Intel(R) Server Boards and
  Systems and it does NOT support customer reference boards (CRB) or silicon
  reference platforms (SRP).
  Contact your Intel(R) representative to determine where to download the BMC
  FW for these products.

- The BMC FW image file in this package is to be used only with the provided
  FWPIAUPD update utility.
  Using the FW image file with a SPI flash device programmer will result in a
  non-functional system.

- If you need to run multi-session stress for SOL, setup timeout of each
  session to be longer than 99ms.

* NOTE: With release 1.07, there was a change to the password system used by
*                    SSH AND SMASH.
* As a result, SMASH users may be informed of a possible security attack, by
* the utility, when they first log in after updating.
* This is not an attack, it is an update which will take place once.



- The following Romley requirements/features are not available in this release:
4.5.1.5.22 - System shall support CPU DTS-based specification for fan speed
control for Ivytown.   [Note - this exclusion applies only to Ivytown.]

===============================================================================
                                ISSUES FIXED
===============================================================================
                          01.22.6890
===============================================================================

- Fixed: IPMB Bridging commands to a Satellite controller doesn't work
- Fixed: The result of IPMI raw command 20 c0 71 00 02 00 00 shows telnet can be supported.
- Fixed: The satellite FW updating status is 00 while updating HSBP FW.
- Fixed: i2c-adapter i2c-7: Arbitration lost on data transmission
- Fixed: Remote KVM video have some dirty mouse cursor under linux system
- Fixed: The System Fan 5 spining in 100% speed on S2400BB Platform after updated the BMC to 1.21.6038.
- Fixed: FW update will fail with OS based utility (OFU), failure rate is 20% with USB mode and 40% with KCS mode.
- Fixed: BMC code issue for fan detection on S2600CO.
- Fixed: EWS can't interpret SmaRT/CLST event
- Fixed: S2600GZ/GL EWS_update tool fail with SUP S2600GZ_GL_EFI_BIOS02030003_ME20107328_BMC1216038_FRUSDR113 
- Fixed: Openssl update (see TA-1065)
- Fixed: IPv6 can't get IP address via DHCP server.
- Fixed: S4600LH P3 LVDIMM voltate reading is 1.5V sometimes during system booting up
- Fixed: HSC firmware not updating with BMC 1.21.6038;
- Fixed: BMC Hangs upon the first A/C Power On of the board. Subsequent A/C power cycles, the BMC boots. 
-Bundled the new PSU fw for PSSF162202A.
-Bundled the new PSU fw for "DPS 750AB 32A".
-Set RMM4 DMN speed to 100Mbps on half width products

===============================================================================
                         01.21.6038
===============================================================================
- Fixed: BMC User configuration is corrupted and users cannot be re-created.
- Fixed: The response of getting satellite fw update status is always 01
- Fixed: HSC slots status present sensor showed NA in EWS.
- Fixed: (X) Disk Drive LED - Locating drive is inconsistent in time to illuminate and stop
- Fixed: Hot Plug Fan not changing system status on Fan failure.
- Fixed: EWC Fan sensor readings disappear when filtered and there is a fan failure.
- Fixed: (X) BMC hung after network Scan.
- Fixed: Current power is incorrect on EWS while power down SUT by pressing power button.
- Fixed: Special characters '<>' of FRU info can't be shown in the EWS page.
- Fixed: Recurring temperature alarms on sensor #0x22(SSB).
- Fixed: (X) S600GL/S2600GR - Fail EMC Brownout testing.
- Fixed: DIMM Thrm Mrgn sensor shows "unknown" when just plug DIMM in Channel3 
- Fixed: [X] Updated Java signitures to support new JAVA requirements.
- Fixed: Get SOL Configuration parameters 5 & 6 should not return invalid response.
- Fixed: EWS is incorrectly decoding ME firmware update SEL events.
- Fixed: BMC channle 1 can not ping succesfully and EWS login fail while using static IPV6 address.
- Fixed: Baseboard IP address can't be assigned when IPv6 address set as auto-configuration.
- Fixed: IP address can't be assigned when IPv6 address set as dynamic.
- Fixed: BMC Hangs during first A/C power up.
- Fixed: Reading the PCI Riser temperature sensors for S2600CP was not operating correctly.
- Fixed: CFM calculation failed on PSU removal/insertion.
- Fixed: Enable FPGA logic to preserve PWM registers.
- Fixed: Check in 750AB V8 PSU image per PSU verification team's request
- Fixed: Porting FRU discovery APIs from Grantley where the Auto-Configuration feature requires the operational 
         status of the managed FRUs.
- Fixed: Add the displaying of the PS HW Revison for the PS if update is required or not.
===============================================================================
                                01.20.5793
===============================================================================
- Fixed: Cold Redundant Power Supply Configuration Issue, fix it by a DPS 750XB 
         A PSU v100 image.
===============================================================================
                                01.20.5446
===============================================================================
- Fixed: The Embedded Web Console was showing the incorrect version of ME
         Firmware when the ME was in firmware update mode.
- Fixed: Nothing displayed on the Embedded Web Console while logging in with an
         IPv6 address (stateless ICMPv6 discovery).
- Fixed: BMC Embedded Web Console session not maintained with a power cycle
- Fixed: The Intel(R) Xeon(R) Phi(TM) Coprocessor adapters numbering is not
         consistent with riser slot numbering on server board.
- Fixed: Embedded Web Console SEL text log not decoding BIOS update versions
         correctly.
- Fixed: No video display in BMC KVM when SUT wakes up from S1 or S3 in 
         Windows* 2012.
- Fixed: S2600IP - Intel(R) Xeon(R) Phi(TM) Coprocessor adapter MIC Status 7
         shows as Unknown in some configurations.
- Fixed: S2600GZ - Intel(R) Xeon(R) Phi(TM) Coprocessor adapter MIC Status
         Sensor shows "Unknown" when only 1 MIC card exists in system.
- Fixed: Cannot set link-local gateway for BMC Network Management Interface
         using IPv6.
- Fixed: [X] Web Console not defaulting to English when another non-English
         browser is detected.
- Fixed: Add Cross Frame Options to prevent cross-frame scripting of Embedded
         Web Console
- Fixed: Browser autocomplete enabled before authentication.
- Fixed: SMI Timeout errors not logging IIO Global error registers in Debug Log
- Fixed: BMC LAN connection not working after IP address change.
- Fixed: Multi-node boards with node ID 1111 are not regarded as a single node.
- Fixed: BMC email alerts refused by some servers.
- Fixed: IP address of baseboard management NIC can't be configured
         successfully when dynamic and static IP changed.
- Fixed: The baseboard management NIC can't get a dynamic IP address when the
         VLAN set as enable.
- Fixed: Change to 1600W PSU firmware for an acoustic issue.
- Fixed: POST Error code 0xA6A0 was causing the SEL page to fail to render.
         - Also fixes decode of POST Error code 0x0012 and invalid POST Errors
           causing the SEL page to fail to render.
- Fixed: The ME firmware has 2 minor versions in the update related SEL.
         Updated the OEM command format to support this.
- Added: Support Intel(R) Xeon(R) Phi(TM) Coprocessor adapters in Intel(R)
         Server Boards and Systems.
- Added: Added a button on Web to enable/disable IPMI over LAN.

===============================================================================
                                01.19.5196
===============================================================================
- Fixed: Updated Power Supply firmware.

===============================================================================
                                01.19.5018
===============================================================================
- Fixed: The Intel(R) Xeon(R) Phi(TM) Coprocessor adapters Status Sensor shows
         "Unknown" when only 1 adapter is in the system
- Fixed: System Events for DIMM thermal margin sensors are not decoded properly
         in the Embedded Web Server and Embedded Web Server log files.
- Fixed: Embedded Web console not displaying sensor values for sensors from
         another controller
- Fixed: Chassis identify not working as expected.
- Fixed: The IHC (Intel(R) Hybrid Cloud) interface exposes a self-signed
         certificate containing a developer name and email address.
- Fixed: Integrated BMC Web Console Keyboard Macro Ctrl+Alt+F1 not working as
         expected.
- Fixed: BMC does not ignore momentary PWM interruptions after SMBALERT is
         asserted (SmaRT event).
- Fixed: Embedded Web Console Power Statistic page time value not getting
         updated.
- Fixed: IBMC used in Web Console Server Health > Event Log Page.
- Fixed: Embedded Web Console SEL decoding BMC FW Update Minor version
         incorrectly.
- Fixed: IO module Temperature sensor reading is always 0 on S2600JF.
- Fixed: Get User Access Command - Number of enabled users not correct.
- Fixed: Get/Set Processor Error Configuration and Status command not working
          as expected.
- Fixed: BMC update failing after 4 consecutive firmware updates.
         BMC will no longer stay in recovery mode (uboot) after four
         consecutive firmware updates.
- Fixed: JViewer always shows "Error reading video data" popup and a black
         screen when mouse mode is set to relative and JViewer tries to hide
         the cursor.
- Fixed: Multicast traffic was being passed through to the BMC causing slow
         downs and resets. This change enables multicast filtering, but still
         allows IPv6 multicasts for Neighbor Advertisement, Router
         Advertisement, and DHCPv6 relay and server multicast.
- Fixed: The UBoot code detects a bad CRC of the Ram Image when attempting to
         boot after getting a cold reset.
- Fixed: The recommendations in the Web Console Mouse Mode tab are out of date.
- Fixed: S1600JP 5V STBY sensor intermittently reporting low voltage error
         during AC cycle testing.
- Fixed: Disable POST codes LED output after system has completed POST
- Fixed: Correct the 750w PSU FW version. 
- Fixed: S2600JP: Update SDR to version 1.04.
- Fixed: S2600CO: Update SDR to version 1.10.
- Fixed: W2600CR/S2600IP: Update SDR to version 1.10.
- Fixed: S2600JF: Update SDR to version 1.11.
- Fixed: Update Intel(R) Server Boards and Systems Based on Intel(R) Xeon(R)
         Processor E5-4600/2600/2400/1600/1400 Product Families HSBP to 1p3.
- Fixed: Update for 1600W DC PSU FW.
- Fixed: Updated version number information for S2400BB and S2600GL/S2600GL
         platforms.
- Fixed: Changed Fan Speed sensing and control when SMB Alert assertion is
         detected (SmaRT event)
- Fixed: Seeing false watchdog events after a BMC update or reset.
- Fixed: BMC watchdog resets seen during network flooding.
- Fixed: Some logged POST Errors codes causing Embedded Web Server SEL viewer
         to stop displaying.
- Added: DCMI 1.5 spec compliance on Intel(R) Server Boards and Systems Based
         on Intel(R) Xeon(R) Processor E5-4600/2600/2400/1600/1400 Product
         Families
- Added: Enable Intel(R) Xeon(R) Phi(TM) Coprocessor adapters for
         W2600CR/S2600IP.
- Added: Added remote KVM watchdog.
         If there is an error on the remote KVM then wait one minute and then
         open a new KVM session.

===============================================================================
                                01.18.4442
===============================================================================
- Fixed: Intel(R) Hybrid Cloud (IHC) cannot get session ID when using BMC
         username/password with special characters
- Fixed: The last BIOS POST code on the LCD panel doesn't match with the
         boards' POST CODE LED.
- Fixed: Sensor BMC FW Health is still in normal state when BMC owned sensor's
         failure is triggered
- Fixed: Fixed Cosmetic issue in BMC web console when Server Heath > Sensor
         Readings and Health filter selected
- Fixed: WDT Reset of the BMC when issuing IHC power commands
- Fixed: BMC will generate event log until it full and send PEF continuously
         - The "PEF happened" log was being processed by the PEF itself,
           causing an infinite loop of events for wildcard matches.
- Fixed: Selecting Check All in Embedded Web Console - Configuration -
         Alerts page also enables event messages for PEF actions.
         - This change prevents automatically enabling event logging for PEF
           actions, and adds a user interface element to enable it manually.
- Fixed: Changed PSoC* HSBP FRU Read algorithm to read full pages, instead of
         byte-by-byte.
- Fixed: Typographical change "Manufactory" to "Manufacturer" in DIMM info page
- Added: PSU Firmware for DC 750 W PSU
- Added: PSU Firmware for DC 1600 W PSU.

===============================================================================
                                01.17.4151
===============================================================================
- Fixed: S4600LH: Updated to FRUSDR 19 package
- Fixed: S2600JF: Updated to FRUSDR 1.10 package
- Fixed: S2400SC: Updated to FRUSDR 1.08 package
- Fixed: S2400EP: Updated to FRUSDR 1.01 package
- Fixed: S1400FP: Updated to FRUSDR 1.01 package
- Fixed: S2600WP: Updated to FRUSDR 1.07 package
- Fixed: S2400BB: Updated to FRUSDR 1.02 package
- Fixed: S1600JP: Updated to FRUSDR 1.00 package
- Fixed: Fixed typo in uboot code for S1400FP
- Fixed: VFP power led always solid green while system into S1 state.
- Fixed: FW versions retrieved by IHC are incorrect.
- Fixed: PSU Config Error deassert event not in SEL after removal of incorrect
         power supply.
- Fixed: Fix a DIMM Thrm Mgn error in SEL while load BIOS Intel(R) Server
         Boards and Systems default.
- Fixed: Embedded Web Server SEL logs, added "OS Event" as the sensor name for
         events generated by 0x0041, to resolve incorrect sensor name & 
         type of SEL after Windows 2008 R2* 64bit graceful shutdown
- Fixed: Remove the option of selecting IPv6 address from LCP.
- Fixed: Some special characters show incorrectly on the LCP
         - Special characters will be shown as the nearest look alike
           available.
- Fixed: The last BIOS POST code on the LCD panel doesn't match with the
         boards POST CODE LED.
- Fixed: Failed to test PEF Bit for Get PEF Capabilities.
         - Was incorrectly identifying that Diagnostic Interrupt was available
           and OEM Action was not available.
- Fixed: LCP displays "No BIOS POST C" when enter into LPC under VIEW menu.
- Fixed: Connecting LCP to faulty system (system which keeps logging events)
         then LCP is unusable.
         - A small delay (half a sec) was added between the screen transitions
- Fixed: Multiple KVM socket error and media redirection errors
- Fixed: Embedded Web Server - JViewer "Error opening video socket" (Console
         Redirection Fails)
         - Various fixes for KVM and media redirection.
- Fixed: Web Console Remote Session check.
         - Do not allow web console to change remote session parameters while
           JViewer is running. Suspected of causing blank screens/Video Socket
           errors in JViewer.
- Fixed: BMC FW versions displayed by LCP are incorrect
- Fixed: SOL session started in SMASH session times out after 5 minutes
- Fixed: SSH SMASH session does not allow settings1/timeout value greater than
         600 seconds.
- Fixed: LCP Configuration LAN Subnet Mask shortened name incorrect.
- Fixed: VBAT voltage is low from BMC sensor reporting.
         - Vbat voltage was reporting low critical on some platforms.
- Fixed: PEF Postpone timer test failing
- Fixed: S4600LH: LCP displays incorrect Server Name
- Fixed: LCP: Active event is displayed incorrectly
         - Some event descriptions were confusing as they did not provide
           enough information.
- Fixed: LCP custom string not replacing the banner
         - Setting of a custom string should automatically become the LCP
           banner.
- Fixed: Embedded Web console not displaying sensor values for sensors from
         another controller
- Fixed: IPv6 is not supported on LCP, but the "Conf" screen showed an option
         to configure IPv6 address.
- Fixed: Update PSSF162202A firmware
         - bootloader changes
         - CRC 16 changes to fix firmware update failure issue.
         - Fix for READ_EIN and READ_PIN calculation
         - Fix includes Embedded Web Server reporting 0 W, double Power value
           workaround for ME issue.
- Fixed: S4600LH: Change maximum link speed of RMM4 Dedicated NIC to 100Mbps
- Fixed: The current scrolling functionality of the LCP forcing the user to
-        wait till the scrolling of the existing text completes though the
-        user is not interested in reading the entire text.
- Fixed:Fix wrong slot number mapping for S2600GZ/S2600GL. Slot numbers were
        reversed.
- Fixed: 1200 W 02 F PSU FW file name was specified in hex instead of decimal.
         - Correcting the same to maintain consistency and for correct release
           notes generation.
- Fixed: S4600LH: LAN sku, doesn't have Power button.
         - BMC shouldn't support "stayoff" option in power restore policy.
         - Restore policy should be POWERON by default.
- Fixed: S2600JF and S2600WP: IO Mod Presence shows not present when SAS Module
         is present.
- Fixed: Power Unit Redundancy sensor did not behave as expected.
         - The Power Unit Redundancy sensor was not getting rearmed when AC/DC
           Input power was removed and then restored.
         - When interrupting input power from one of the redundant power
           supplies, the Status LED will blink green.
         - Restoring power to the power supply causes the Status LED to return
           to solid green and there is a SEL entry for Redundancy regained.
- Fixed: Scale CFM sensor reading by B value in SDR.
         - Platforms are using different scaling factors in the SDR for the
           system CFM sensor. This change reads the scaling factor from the SDR
           and adjusts the raw sensor reading accordingly.
- Fixed: When a Power Supply was inserted, the PS Redundancy sensor was not
         getting rearmed.
         - The PS Redundancy sensor is rearmed when a PS is inserted and full
           redundancy is regained.
         - When redundancy is regained, the LED should stop blinking and turn
           solid green.
         - There should also be a Redundancy Regained SEL event logged.
- Added: Add auto detection, sensor, and Fan Speed Control support for Intel(R)
         Xeon(R) Phi(TM) Coprocessor adapters
- Added: Added additional product ID for Intel(R) Xeon(R) Phi(TM) Coprocessor
- Added: Disable POST codes LED output after system has completed POST
- Added: Add a command to get the CPLD version.
- Added: In the Embedded Web Server the Power statistic page should contain
         Statistic Reporting Period field along with statistics.

===============================================================================
                                01.16.4010
===============================================================================
- Fixed: System power statistics shows N/A on EWS.
         - Power statistics were not available via Web interface when the PMBUS
           cable was connected.
- Fixed: Update power supply firmware for 460W S3F, 750W S4F, 1200W 02F, 1600W
         00A supplies to handle a PSON strobing issue which was causing
         problems on some systems.
         - Do not down rev bit set for 460, 750 & 1200 W PSU

===============================================================================
                                01.16.3908
===============================================================================
- Fixed: S2600CO: Update SDR to version 1.09. 
- Fixed: W2600CR and S2600IP: Update SDR oto version 1.09. 
- Fixed: S2400GP: Update SDR to version 1.06. 
- Fixed: S2600GL/S2600GZ: Update SDR to version 1.05
- Fixed: S2400BB and S1400FP: Update SDR to current distro.
- Fixed: Corrects an issue where the BMC was generating incorrect SEL events.
         - The BMC will not generate SEL events for CPU presence when it starts
           up or after an SDR update, per requirement to exclude such events.
- Fixed: After enable lan failover, lan1 IPv6 address getting re-assigned by
         DHCPv6
- Fixed: RMM4 remote console port forwarding issue
         - Add support for handling network configurations with NAT/Port
           Forwarding between the browser and the BMC.
- Fixed: Embedded Web Server Sensor Readings are not correctly displayed after
         a SDR update and reset or a DC cycle.
         - Was requiring an AC power cycle or a BMC Cold Reset before the
           sensor were displayed correctly.

===============================================================================
                                01.15.3885
===============================================================================
- Fixed: S4600LH: Added another Platform ID (S4600LH DP).
- Fixed: S2400LP: Added SAS module Temp to this platform.
- Fixed: S4600LH: Update to FRUSDR17.
- Fixed: S1600JP: Update FRUSDR from version 0.05 to version 0.07.
- Fixed: Added power-state fixes for the following conditions:
         - Chassis power-off when i2c connection to PCH fails, now supports
           4-second power button shutdown
         - Allows user to configure OEM PEF to perform graceful shutdown if
           they wish. Default remains immediate hard-shutdown.
- Fixed: Power Statistics displays 0w instead of Not Applicable on Embedded
         Web Server page with a Non PMBus power supply
- Fixed: Issue command of "Enter Firmware Transfer Mode" through RMCP(IOL)
         interface, the completion code is successful.
         - Firmware transfer mode commands are now disabled over
           IOL/RMCP/RMCPP and will fail with 0xD4.
- Fixed: When Onboard NIC 1 is disabled, it also disables the RMM NIC and
         should not

===============================================================================
                                01.14.3855
===============================================================================
- Fixed: For S2600JF and S2600WP:
         1. Add sensor # 2D to monitor address 0x90 on i2c bus 2.
         2. Add sensor # 28 to monitor address 0x94 on i2c bus 2.
         3. Alter sensor monitor code for 240VA Fault.
- Fixed: Re-enable 1600W PSU and update FW to version 0.9.53 for S3F and 00A
         PSU Models
- Fixed: S4600LH: Updated from FRUSDR15 to FRUSDR16 package
- Fixed: Remove Intel branding from virtual front panel background image.
         - Since this image is outside of the scope of Embedded Web Server OEM
           updates, we have removed the Intel branding so that OEMs can rebrand
           everything with only the EWS OEM updates.
- Fixed: S2400EP: RGMII_IBMC_RMM4_TXD_0 and RGMII_IBMC_RMM4_TXD_1 failing
         ringback specification and is non-monotonic
- Fixed: The last 8 bytes of OEM data of SEL record retrieved by IHC are
         different from SELVIEWER or Embedded Web Server SEL.
- Fixed: SMI timeout will not be triggered when low for 2 minutes.
- Fixed: Local Control Panel: Reboot system twice, the boot option still boot
         to NetBoot.
         - Boot option configured by LCP config menu will no longer permanently
           change the selection. It will now be applicable only for the next
           boot.
- Fixed: After BMC or FRUSDR update, power unit redundancy lost asserted and
         deasserted event generated in SEL
- Fixed: Power unit redundancy has been lost -Asserted/Deasserted" events
         occurred after BMC reset via Cold Reset/Enter-Exit Firmware Transfer
         Mode commands.
- Fixed: S1600JP: Execute "Get CR Configuration" command with 450W mini-ERP PS
         gets unexpected response.
         - The 450W mini-ERP power supply used with S1600JP does not support
           Cold Redundancy. The Get/Set CR Configuration commands have been
           changed to return 0x81 for S1600JP.
- Fixed: Remove power supply will trigger a unexpected 03-A/C lost deasserted
         log in SEL.
- Fixed: Status LED is blinking green and 01-redund lost can not be recovered
         after removing any one 460W power supply and insert 750W power supply.
- Fixed: BMC Automatic Update of HSBP FW Unstable and Impacting BIK Factory
- Fixed: MTT sensor scaling is incorrect in all SDR files.
         - Corrected for S4600LH
- Fixed: Random Temp and Voltage events logged in SEL during factory SEL Check
- Fixed: IPMITOOL cannot get chassis ID LED status if we use web console to
         turn chassis ID LED on or off.
- Fixed: IPMItool identify LED with wrong status
- Fixed: IPMI to get chassis ID LED results is not same as "Manually press to
         light on Chassis identify LED"
         - The Chassis Identification fields of the Get Chassis Status response
           were not set properly for all methods of turning on the ID LED. This
           change adds the status to all methods of turning the ID LED On/Off.
- Fixed: IPMI Chassis Control Power Down incorrectly initiates a clean shutdown
         of OS
         - The Chassis Control command to power off the chassis was implemented
           with the Power Button press. This started a Graceful shutdown
           instead of an immediate one. This change causes the Chassis Control
           command for power down to immediately power down.

===============================================================================
                                01.13.3724
===============================================================================
- Fixed: Updated S1400SP SDR to FRUSDR0.05 package
         - Changed SAS module address to 0x98
- Fixed: Updated S1400FP SDR to FRUSDR0.04 package
- Fixed: Updated S1600JP SDR to 0.07 package
         - Corrected the slave address for Full Height Full Length riser
           temperature device
         - Added new temperature sensors for new SAS module
- Fixed: Updated S2400BB SDR to FRUSDR1.00 package
- Fixed: Updated S2400GP SDR to FRUSDR1.05 package
- Fixed: Updated S2400LP SDR to FRUSDR1.08 package
- Fixed: Updated S2400SC SDR to FRUSDR1.05 package
- Fixed: Updated S2600IP SDR to FRUSDR1.08 package
- Fixed: Updated W2600CR SDR to FRUSDR1.08 package
- Fixed: Updated S4600LH SDR to FRUSDR0.15 package
         - Updated BB DDR Voltage SDR records
         - Added filtering logic
- Fixed: Added S4600LH baseboard FRU files for all the supported SKUs
         - S4600LH ROW with Intel(R) Ethernet Controller 10 Gigabit X540
         - S4600LH ROW with Intel(R) Ethernet Controller I350-AM4
         - S4600LH LAN with Intel(R) Ethernet Controller 10 Gigabit X540
- Fixed: S1600JP: Changed Mac0 Drive strength to conform to SI/EAs requirement
- Fixed: Green status LED keeps blinking after rearming the Power Unit
         Redundancy sensor.
         - When using manual rearmed sensor with deassertions disabled, status
           LED would not go back to green.
- Fixed: After issuing a turn off KVM services command, Launch Console button
         allows KVM to be launched, but KVM is not available, it will pop-up
         "Socket Error" message
- Fixed: In LCP, all the SEL entries are displaying in EVT MENU but it should
         not display informational events.
         - Only current active events in the system need to be displayed when
           the EVT menu item is selected for LCD.
- Fixed: Incorrect event "Redundancy regained " when PSU plugged in but no AC
         power applied.
- Fixed: BMC does not use a consistent IPv6 DUID

===============================================================================
                                01.12.3663
===============================================================================
- Fixed: Updated S2400BB FRUSDR
- Fixed: Updated S4600LH to FRUSDR14 release
- Fixed: ADM1276 fails to respond after NACK.
         - Workaround developed and applied.
- Fixed: S2600CO customer SKU showing System Fan RPM 0.
- Fixed: S4600LH After CATERR the system halts instead of rebooting
- Fixed: S4600LH SMI timeout not triggered after 2 minutes
- Fixed: S4600LH Fan fault LEDs not working for system fan 7 to 11
- Fixed: Vlan help page of Embedded Web Server shows incorrect info.
         - Changed help page to align with functionality.
- Fixed: Typo errors found in Embedded Web Server
         -Virtual Front Panel help, IPv6 Network Setting Page, Alerts help
- Fixed: Onboard VGA cannot setup to highest resolution (1920x1080 up)
- Fixed: BMC FAN PWM freq reduced to 11KHz from 22KHz
         - Did not affect fan speed control functionality
- Fixed: S4600LH DIMM thermal trips on P3 and P4 being incorrectly reported
- Fixed: S4600LH Processor DIMM Thermal Margin sensor reading unavailable when
         in a 2 processor configuration
- Fixed: The description of NM Exception event is incorrect on Embedded Web
         Server.
- Fixed: With Intel(R) RAID Expander RES2SV240 connected, Drive "locate" action
         needs 10 to 30 seconds before the drive is blinking
- Added: Detect the node presence in chassis. Provide an OEM command to respond
         with data that indicates which nodes are populated in a multiple node
         system.

===============================================================================
                                01.11.3597
===============================================================================
- Fixed: Updated S1400FP FRUSDR
- Fixed: Updated S4600LH FRUSDR file to version 13
- Fixed: Corrects S4600LH Fan tach calculation based on the fan scaling record
- Fixed: S1400SP Set MAC0 drive strength to improve Signal Integrity
- Fixed: Seeing all DIMM thermal margin sensors failing and providing an invalid
         reading when there is an over temperature condition on the processor.
- Fixed: S1400FP The status LED is solid amber for longer than expected after
         an AC power cycle
- Fixed: S4600LH DIMM Mapping information on DIMM Thermal Trip event is
         incorrect but correct on Embedded Web Server DIMM Information.
- Fixed: S1400SP shows no socket present in CPU information page of EWS.
- Fixed: There are two 2 NMI assertion SEL events occurring when NMI pulse is
         generated.
- Fixed: S2400BB The fan fault LED did not light with a broken fan installed
- Fixed: Default LCD banner text when server with normal health is displaying
         some junk characters at the end.
- Fixed: LCD - After selecting Error as the banner, with Server Health as
         normal, the banner text is displaying as "No Error" instead of "System
         Health OK"
- Fixed: LCD - SN [Server Name] displays different values at VIEW menu and
         when SN selected as a banner.
- Fixed: LCD default screen after power on is incorrect
- Fixed: System reset instead of powering off when power button was pressed
- Fixed: No response to IPMI commands after an AC power cycle when LAN failover
         enabled with DHCP
- Added: Implements IPMI command extension to permit user to set a custom text
         string to display as the banner text on the LCD. Can also be set via
         BIOS in setup.

===============================================================================
                                01.10.3560
===============================================================================
- Fixed: Updated FRUSDR files.
         - S2400BB to version 0.09
         - S2600CP to version 1.06
         - S2600CO to version 1.07
         - W2600CR to version 1.07
         - S2400EP to version 1.00
         - S2600IP to version 1.07
         - S2600JF to version 1.07
         - S2400LP to version 1.06
         - S2600CP to version 1.07
         - S2600CO to version 1.08
         - W2600CR/S2600IP to version 1.08
         - S2400GP to version 1.05
         - S1600JP to version 0.05
         - S2600JF to version 1.08
         - S4600LH to version 0.12
         - S2600WP to version 1.05
         - S2600GZ/S2600GL to version 1.03
- Fixed: Adjust RGMII Tx clock delay to -250ps for S1400SP according to SI
         requirement
- Fixed: Command OEM Get Reading. will now return units-based value converted
         by using .y=Mx+B
- Fixed: Fixes to LCD Code defects identified in code review were incorporated
- Fixed: Some strings on LCD were formerly displayed improperly on LCD
- Fixed: Increased total SDR record length to 0x48h from 0x40h to accommodate
         the S4600LH SDR requirements
- Fixed: S1600JP: Corrects the baseboard temperature sensor mapping so that it
         works
- Fixed: After forcing a CATERR on S4600LH, the debug information from Embedded
         Web Server lacks some information
- Fixed: LAN channel cannot get DHCP IPv4 address after disabling VLAN on it
- Fixed: NMI sensor event isn't logged after issuing "chassis control" command
         to trigger NMI
- Fixed: SUT hang at POSTCODE: 0x63 while BMC LAN connected to a switch loop
         environment
         - BMC would freeze under heavy network traffic loads (e.g. broadcast
           storm)
- Fixed: S4600LH: Fan speed reading not correct
         - Added other chassis support in S4600LH and corrected RPM calc
         - Also updated S1400FP/S1400SP SDR to reflect change.
- Fixed: Network Interface hold time was out of spec for S2600GZ/S2600GL and
         S2400BB
- Fixed: Issuing incorrect "Set CR Configuration" command returns wrong error
         code
- Fixed: LCP error messages are not scrolling automatically without pressing
         LEFT and RIGHT keys
- Fixed: LCP default banner text when server with normal health is displaying
         some junk characters at the end
- Fixed: Number of characters displaying in LCP display is only 16 but it
         should be 18 characters
- Fixed: LCP displays "No BIOS POST C" when enter into LPC under VIEW menu
- Fixed: Unable to view the entire IP or Gateway or Subnet addresses using LCP
         display, last digit is missing during display.
- Fixed: Firmware information contents in LCP displaying does not match the
         actual version
- Fixed: Banner text is not reflecting correct information after selecting SM,
         LPC, or POW as a banner
- Fixed: LCP default screen after power on is not the correct banner text
- Fixed: S2400SC shows no socket present in CPU information page of Embedded
         Web Server
         - SMBIOS rev 2.7.1 added additional socket types. This change adds
           those types to the SMBIOS translation tables.
- Fixed: Updated S4600LH SDR to resolve issues where fans specified in FCT
         SDRs couldn't be controlled with fan domains.
- Fixed: BMC 1.08 S4600LH SDR was missing Sensor 0x2C (Riser 2 Left Forward
         Temperature)
- Fixed: Exit Air Temp reading mismatch when using IPMI command under Linux
         - The sensor initialization code was checking both assertion and
           deassertion enables and settable/readable thresholds before actually
           setting the thresholds. This was causing the Exit Air Temp sensor to
           fail to set thresholds (all thresholds became 0)
- Fixed: Host name is not included in Email Alert subject line
         - Subject line could potentially be set before host name was set. This
           change sets the subject line again after the host name is changed
- Fixed: BMC FW must satisfy open source advertising clause for OpenSSL
         - Added "About" button to top bar to satisfy item 6 in the OpenSSL
           license.
- Fixed: Entropy issue in RSA key generation.
- Added: Changed SDR of S2600CP, S2600CO, W2600CR/S2600IP, and S2400GP to add
         Dynamic Power Unit Redundancy Sensors
- Added: Add S1600JP and S2600WP PCIeSlotMap Table
- Added: Adds option (0xfe) for SlotIPMB command to ignore mux completely

===============================================================================
                                01.09.3404
===============================================================================
- Fixed: Update FRUSDR packages to following versions:
         - S1600JP: S1600JP_FRUSDR_0.03
         - S1400SP: S1400SP_FRUSDR_01
         - S2400LP: S2400LP_FRUSDR_0105
         - S2400SC: S2400SC_FRUSDR_0104
         - S2400BB: S2400BB_FRUSDR_08
         - S2400EP: S2400EP_FRUSDR_03
         - S2600WP: S2600WP_FRUSDR_1.03
         - S1600JP: S1600JP_FRUSDR_0.04
         - S4600LH: S4600LH_FRUSDR_11
- Note: Testing with BIOS/2050_Package.zip (2.05 BIOS) with ME 02.01.05.091
        UBoot increments to 1.11 in this release due to changes in LCD
        handling
- Fixed: S2400EP: Add one additional 250ps delay for Tx clock and MAC0 drive
         strength to improve Signal Integrity on S2400EP
- Fixed: Fixed a case that had been missed for LDAP login to EWS.
- Fixed: uboot not updated after BMC FW updated when BMC executing from uboot
- Fixed: Wrong DIMM location is displayed in Embedded Web Server when a
         non-working DIMM is populated
- Fixed: Fixes to LCD module to address occasional failures in Fan Speed
         Control tests.
- Fixed: LED control and status changes for S1400FP and S1400SP.
- Fixed: Updated the text output of ews-oem-tools to match documentation
- Fixed: Channel 1 or channel 2 LAN cannot ping through with IPV6 address when
         the LAN cables are both installed.
- Fixed: Corrected typos in Embedded Web Server online help page.
- Fixed: S2400LP: After successful issue command to load BMC configuration
         default, "shutdown policy" option is not set to "disabled" which is
         the default
- Fixed: LCD SN [Server Name] displays different values at VIEW menu and SN as
         a banner
- Fixed: S2400BB: System Fans are constantly boosting and all sensors = OK

===============================================================================
                                01.08.3329
===============================================================================
- Fixed: Updated S1600JP SDR to 0.03
- Fixed: Updated S1400SP GPIO table to improve Fan Tach reading.
- Fixed: BMC was sending PMBus command to non-supported CR feature PSU.
- Fixed: Update S4600LH SDR and associated zip to sync with latest FSC sheet
         Rev0.5,Version (v6)
- Fixed: Removing 1600 W S2 PSU FW image from the BMC.
- Fixed: S4600LH: Added debug to identify cause of system resets after CATERR.
- Fixed: IPv6 not working when 2 NCSI channels enabled or Failover is enabled:
- Fixed: There is an error message on Virtual Front Panel page when logging
         into the Embedded Web Server with user privilege.
- Fixed: Virtual Front Panel power LED always solid green when system is in s1
         state.
- Fixed: Event description different when viewed in Embedded Web Console vs.
         when saved via EWC.
         - Added decode of OEM event type 0x70, sensor type 0x2B events.
- Fixed: Embedded Web Server user disappears when  privilege is set to 5 using
         ipmitool.
- Fixed: BMC unresponsive when added all the users and then deleted all the
         users from Embedded Web Server
- Added: Added S1600JP to initial platform list
- Added: Add zlib license info to OEM Embedded Web Services documentation.
- Added: OEM Command to enable/disable BMC Services. This implements a command
         to enable/disable BMC Services and another to get current state.
         Currently controls sshd (SMASH), Web Console, and rKVM.

===============================================================================
                                01.07.3244
===============================================================================
** NOTE: THERE IS A CHANGE TO THE PASSWORD SYSTEM USED BY SSH AND SMASH.
         - As a result SMASH users may be informed of a possible security
           attack, by the utility, when they first log in after updating.
           This is not an attack, it is an update which will take place once.

- Fixed: Updated S1400SP SDR, update SAS module presence sensor number to 0x2d
- Fixed: S2400BB - Default and FCT version 0.07 SDR files provided.
- Fixed: Update FRUSDR package (and defaults) for S4600LH to revision 08
- Fixed: Updated SDRs for S4600LH platform:
         - Modified and added SDR
         - Modified HSBP temp SDR threshold values
         - Corrected problem with S4600LH FRUSDR with Other chassis options
           that was causing system fan issues.
         - Some of the sensor numbers used were the same as other platforms,
           resulting in some erroneous displays of processor fan info. The
           Sensor numbers have been changed to avoid conflict
- Fixed: Adding S1400FP SDR. Updates S1400FP and S1400SP DIMM offsets in the
         web display, and also adds information on S1400FP Fan Fault LED.
- Fixed: BMC sshd password set to invalid by default
- Fixed: Additional support for SSL - spec requires that user can upload both
         certificate and private key, now supported
- Fixed: Update U-boot version to 1.8
- Fixed: BMC boot up had a window where BMC HW watchdog was not enabled.
         - Changed to 4 minutes so that if BMC fails to start, the hardware
           watchdog will trigger.
- Fixed: When the BMC reboots with an active SOL session, the SOL mux was not
         automatically reset to redirect serial data out the system serial
         port. This prevented both SOL and system serial from working. Now
         resets SOL mux at BMC boot to prevent this situation.
- Fixed: The PET Acknowledge command was requiring an open IPMI session. As per
         IPMI spec, this command will be sessionless and belongs to same class
         as Get Channel Authentication capabilities.
- Fixed: Enter Firmware Transfer Mode will generated a unexpected log about FW
         update status
- Fixed: When Exit FW transfer happens after the download of the image (i.e.
         aborted before programming), the update failure SEL event was not
         logged
- Fixed: HSBP unresponsive after FW update.
- Fixed: HSBP FRU information was sometimes unreadable via IPMITOOL.
- Fixed: Combined both debug files into a single zip. Passwords on individual
         files are unchanged. Container zip has no password. Modified system
         debug commands to only accept log type 0x00 as a parameter, since
         there is now only one file generated.
- Fixed: BMC disk drive numbering scheme does not match LSI* tools (RWC2 and
         webBIOS) numbering scheme and marketing’s documentation
         - The BMC was using 1 based drive numbers, while documentation
           specified 0 based numbers. This change implements the changes for
           S2600GZ/S2600GL SDR as well as inter-naming conventions for the
           sensor numbers.
- Fixed: HSBP Drive Slot Sensors report drive removal and insertion on every
         warm reboot
- Fixed: GRUB serial terminal causes BMC distress
- Fixed: Get DIMM Offset command was rejecting any DIMM number greater than 48
         with completion code 0xCC.
- Added: "Get drive fault LED status" and "Set drive fault LED status" IPMI
         commands
- Added: All files required to support the add-in LCD hardware on S2600CP,
         S2600GL, and S2600GZ have been added.  User can now plug in module and
         traverse the LCD menus by pressing the buttons provided on the LCD
         hardware module.

===============================================================================
                                01.06.3156 & 00.36.3156
===============================================================================
Note: The update package provided for this release was validated with BIOS
release x045.
- Fixed: Patch fixes a problem with excessive Power Supply SEL events for 1200W
         power supplies.
- Fixed: Update cipher suite LAN parameters to be consistent with IPMI spec
- Fixed: Update S2400LP SDR for factory build, FAN4a~6b was added
- Fixed: Changed Node Manager SEL entry descriptions.
- Fixed: Update for S2400LP to solve the FAN5a~6b reading zero issue reported
         by the factory.
- Fixed: Update S2400EP Default SDR
- Fixed: Add more thorough checking to Embedded Web Server action image
         validation
- Fixed: Update SDR on slave node, PSU temp sensors will be in Disabled status,
         while other PSU sensors are correct
- Fixed: A failed node can't be power-offed gracefully by BMC when there is a
         simulated critical event of a temp sensor and stopped system fan.
- Fixed: "Shutdown Policy" available after BIOS update
         - BMC returned the wrong completion code of 'get shutdown policy'
           command on non-multi-node platform.
- Fixed: Allow OEM Embedded Web Server image to be completely removed to
         factory settings
- Fixed: SNMP alert and Email alert can't be received when node manager power
         policy defined threshold is exceeded on S2400EP
- Fixed: The status LED will be solid amber for a while after an AC cycle on
         S2400EP, S1400FP, and S1400SP.
- Fixed: S2400LP DIMM event SEL does not match with the location in the board.
- Fixed: Sometimes the minimum power reading is 0W on the power statistics page
         - Fixed for all platforms.
- Fixed: Unexpected results with PS fault condition(FP Status LED, BMC Sensors)
- Fixed: Slow Fan Limit event verification failed on 1200W PSU
         - Failed Power Supply status was not being maintained. Will not clear
           the PS Fault status until the Power Good is negated.
- Fixed: Read platform debug command after exiting the debug log file transfer
         mode, the response is failed
- Fixed: BMC may hold IPMB CLK low after BMC reset if the BMC is addressed over
         IPMB and the BMC resets before that I2C transaction completes.
- Fixed: BB +1.1V STBY low critical log during DC off
         - The 1.1V Stby voltage sensor was generating events when the power
           button was held in over 4 sec.
- Fixed: Emulex* Pilot III P02 Chip - Prefetchable bit (BAR10-BIT3) is not set
         for memory range.
- Fixed: S4600LH: Add Memory Trip support for CPU 3 and CPU 4
- Fixed: S4600LH: Updated SDR version to 08.
- Fixed: S4600LH: Fixed the System Fans reading.
- Fixed: Incorporated generally released Linux driver fixes for bonding-related
         bugs, glitches, etc.
- Fixed: The cramfs tools used in Embedded Web Server image were licensed as
         GPL, these have been rewritten. In more paranoia was added in image
         creation, throwing errors if anything but regular files are in the
         source directory.  This prevents symlink and device node attacks.
         Also added is code to allow for building .deb, .rpm and .msi install
         packages. Currently the windows installer only does 32-bit, but the
         linux packages are available in both 32- and 64-bit varieties.
         Some of these changes are outlined in the updated user document that
         gets distributed with the binary.
- Fixed: Corrects a reaction to bad OEM records in SDR. Previously, this would
         report an error and reset the entire SDR with default values. This is
         not required, and the delete step will no longer happen.
- Fixed: Modified uboot handling of Enter FW Transfer Mode command to return
         completion code 0x80 (already in FW transfer mode) if the Enter FW
         Transfer Mode command has been sent previously.
- Fixed: 1200W power supplies were generating spurious Fan Failure events.
- Fixed: HSBP FW crash during firmware image updates.
- Fixed: PS temperature cannot be read after power cycling over night.
- Fixed: BMC boot up has a window where BMC HW watchdog is not enabled
         -BMC HW WDT was defaulted to trigger after 18 hours. This default
          timeout has been changed to 4 minutes.
- Added: Add a software-only method to replace public key and API to query key
         info

===============================================================================
                                01.05.2974
===============================================================================
Note: The update package provided for this release was validated with BIOS
      release x045.
- Fixed: Update default SDR of S2600CO to version 1.04.
         Update default SDR of W2600CR/S2600IP to version 1.03.
         Update default SDR of S2400BB to version 0.06.
- Fixed: Updates PSU FW for 460W CRPS PSU to DPS-460KB A S3 3.09.29
         - This version contains a fix to set the SMBALERT interval to 30
           seconds.
- Fixed: Insert two DIMMs on channel A1 and A2, and inject an ECC error at A1,
         the event log will record correctable ECC at B1.
         - S2400GP: The channel number for DIMMS on channel A1 and A2 were
           being recorded incorrectly as being channel B1 when correctable ECC
           errors were injected.
- Fixed: Sometimes the minimum power reading is 0W on the Embedded Web Server
         power statistics page.
         - For S2400SC ME must receive a Reset NM Statistics command upon
           entering ACPI state S0 to get an accurate minimum power reading.
- Fixed: The Hex data of the SEL event retrieved by Intel(R) Hybrid Cloud (IHC)
         is different from those in selviewer.
- Fixed: Execute Get DIMM info command to check Empty slot response "0x03"
         - Per EPS an empty DIMM slot should return 0x83 but was returning 0x03
- Fixed: Perform Action Button is disabled when Graceful OS shutdown option is
         used in Embedded Web Server
         - The Graceful OS Shutdown action caused the "Perform Action" button
           in the Embedded Web Server to be disabled during the process,
           however it wasn't re-enabled until the user reloaded the page.
           This change disables the button after any action, and re-enables the
           button after any power-control action completes.
- Fixed: Embedded Web Server Remote Control Page - Message is not consistent
         across all pages for a User with USER privilege.
         - Embedded Web Server Remote Control Page: Remote KVM is not available
           except to users with ADMIN or better privileges. The informational
           message was not consistent across all pages for a User connected
           with USER privilege. Logging into the EWS with a non-admin user, and
           attempting to open a Remote KVM window, will now redirect to a page
           explaining this. The help page has also been updated with this
           information.
- Fixed: KVM - Help Button - About "Jviewer" copyright statement is wrong.
           - The copyright date presented by JViewer in the Help->About
           interaction should now show copyright 2011 rather than 2005.
- Fixed: Embedded Web Console: Node Manager page hard shutdown does not seem to
         be a hard shutdown.
         - According to the Node Manager documentation, a hard shutdown is used
           but NM actually attempts a graceful shutdown first, only performing
           the hard shutdown if the graceful shutdown stalls for 30 seconds.
           The Embedded Web Server description and help page should correctly
           indicate that this is the expected behavior.
- Fixed: Get Chassis Status command identify LED with wrong status
         - The Get Chassis Status command was not returning the correct
           "Identification LED" status.
- Fixed: Fans stay boosted after BMC force update followed by SDR update
         - Fans should no longer boost after updating the SDR after a forced FW
           update.
- Fixed: Empty or Unconfigured HDD will continuously report faulty or
         assert/deassert
         - Fixes an issue where a system with ESRTII RAID 5, configured with
           three HDDs and a fourth installed but set either unconfigured or
           global-hot-spare, would generate numerous spurious drive fault
           errors to the System Event Log.
- Fixed: Firmware hang if BMC is crashed one time and BMC cold reset is
         executed 3 times after a crash within 30 minutes.
- Fixed: There is a typo error in BMC WebUI help document for "Alert Email"
         sub-menu
- Added: Adds new de-pop PBA (G49054-XXX) for S2600JF. Multi-node projects will
         auto load de-pop SKU SDR when PBA# of FRU is G49054-XXX.

===============================================================================
                                01.04.2963
===============================================================================
Note that this release is intended to fix a single issue for the S2400SC
platform. It was provided only for that platform.
- Fixed: On S2400SC, sometimes the minimum power reading is 0W on the Embedded
         Web Console power statistics page.

===============================================================================
                                01.04.2896
===============================================================================
- Fixed: Update to PSU FW for 460W CRPS PSU - contains fix to set the SMBALERT
         interval to 30 seconds.
- Fixed: Empty or Unconfigured HDD will continuously report drive faults
         - There were many spurious drive fault SELs when ESRTII RAID5 was
           configured with 3 disks and 1 hot spare or an unconfigured disk.
           This change, with HSBP FRUSDR package 02, will correct the spurious
           SEL errors.
- Fixed: Firmware stuck if BMC is crashed and then a BMC cold reset is executed
         3 times within the next 30 minutes

===============================================================================
                                01.04.2774
===============================================================================
- Fixed: Fixed issue where during reboot the BMC was not disabling the i2c-4
         channel, resulting in spurious SEL entries from the Management Engine.
- Fixed: New FW drop for the PMAX issue in PSU FW for 750W, 1200W S3/00
         revisions.
- Fixed: Additional FW drop for i2c timeout issue - 2nd timeout happening after
         an i2c reset for 750W, 1200W S3/00F
- Fixed: Fixed issue with bridging commands to ME via BMC IPMI.
- Fixed: Updates SDR for some boards to newest versions:
         - S2600WP IB/De-pop SKU to version 00.08
         - S2600JF IB/De-pop SKU to version 1.03
         - S2600CP to version 1.03
         - S2400GP to version 1.00
- Fixed: VCCQ VR temperature sensors were not working in S2400BB
- Fixed: Duplicated warning event logged about senor unavailable generated
         during ME update
         - Changed the BMC to not count update mode codes against the
           management subsystem health sensor.
- Fixed: Login through SMASH with LDAP authorized user and password failed
         - Enabled the use of LDAP authorization for SMASH logins to BMC. To
           use this there must be an LDAP server (not the BMC) which can
           authorize a user with a given password, and the BMC must be
           configured to allow LDAP with that server, and to map to an allowed
           set of functions.
- Fixed: IPv6 auto-configure mode not working
- Fixed: Initialized Node Presence pins as Output-High for S2400LP, S2600JF,
         and S2600WP.
- Fixed: IPv6 ping failed after LAN failover enabled
- Fixed: When the Onboard NIC 1 is disabled in BIOS the system fans boost
- Fixed: RMS25CB080 SAS Mod Temp sensor has Unknown Health/Reading
- Fixed: ME events are not interpreted in Embedded Web Server SEL log
- Fixed: S2600JF PSOC HSBP temperature sensor intermittently unavailable during
         node hotplug
- Added: The BMC will now check the most significant bit (bit 7) of the PSU FW
         major revision number. If it is set to 1 then the BMC will refuse to
         downgrade the supply to any earlier revision.
         - Added since power supply stability issues can arise if power
           supplies are updated to an earlier revision of the power supply FW.
           This ONLY applies for this revision of BMC and later.

===============================================================================
                                01.03.2674
===============================================================================
- Fixed: Update SDR of S2600CP to version 1.02.
- Fixed: Update SDR of W2600CR and S2600IP to version to 1.02.
- Fixed: Updated PSU FW for 1200W CRPS (S3 and 00 models) to correct the issue
         in S2600JF system, where system shuts down under certain conditions.
- Fixed: The description of a memory thermal trip event is incorrect.
         - For S2400SC and S2400LP, CPU1/2 DIMM channel 0 is not used. When
           DIMM thermal trip events are found on CPU1 they should show in the
           SEL as "CPU1, DIMMA", and when found on CPU2, as "CPU2, DIMMD"
- Fixed: It is hard to enter BIOS Setup via press F2 in KVM console when using
         LAN2.
- Fixed: An error dialog box pop-up was appearing when accessing the Alerts
         page on platforms that only support a single onboard shared NIC.
- Fixed: The fault reason is "Temperature has crossed critical value" on
         Virtual Front Panel when SUT was powered off due to processor thermal
         trip.
         - Sensor severity for thermal trip was incorrect. It should now read
           "Thermal fault" on VFP when the system under test powers off due to
           processor thermal trip.
- Fixed: Dump debug file with non-redundant PSU, no information in PEC feature
         support status.
         - When installing a non-redundant PSU, an advisory is now added to the
           system debug log.
- Fixed: Alerts taking 10 seconds after an AC cycle.
- Fixed: On Half Width Form Factor platforms one Node reports raid rebuild that
         happened on another Node, these two Nodes share a HSBP.
- Fixed: Seeing excessive Frame Errors on RMM4 PHY when EEE (energy efficient
         ethernet) function was enabled.
         - When RMM4 PHY EEE (energy efficient ethernet) is enabled, receive
           frame errors increased to an unacceptable level. EEE has been
           disabled.
- Fixed: Voltage 1.1V Standby monitoring for W2600CR, S2600IP, and S400GP not
         supported while in standby mode.
- Added: Node Auto-Shutdown behavior has been defined for multi-node systems
         (S2600JF, S2400LP, S2600WP). "BMC will turn off designated nodes in
         event of PS failure resulting in PSU not able to supply enough power
         and throttling the node. Based on BIOS setup and slot position of the
         board, BMC will forcefully shut down the node throttling due to PSU
         not supplying enough power."
         - With a properly configured system where nodes have a shutdown
           policy configured in BIOS to permit it, the last two nodes in the
           chassis can be shut down rather than running in a degraded state,
           allowing the remaining node(s) to work at full efficiency to
           complete tasks.

===============================================================================
                                01.02.2608
===============================================================================
- Fixed: This build will be tested with the 041 BIOS release.
- Fixed: Updates to the zip-bundled FRUSDR packages are provided as follows:
         - S2600CP_FRUSDR_100.zip updated to S2600CP_FRUSDR_101.zip
         - S2600CO_FRUSDR_1.00.zip updated to S2600CO_FRUSDR_1.01.zip
         - S2600GZ_FRUSDR_08.zip updated to S2600GZ_FRUSDR_100.zip
         - S2600JF_FRUSDR_1.00.zip updated to S2600JF_FRUSDR_1.01.zip
         - S2400LP_FRUSDR_11.zip updated to S2400LP_FRUSDR_13.zip
         - S2400SC_FRUSDR_23.zip updated to S2400SC_FRUSDR_24.zip
         - S2600WP_FRUSDR_06.zip updated to S2600WP_FRUSDR_07.zip
         - Updated W2600CR and S2600IP SDR version to 1.01
- Fixed: The Chassis Intrusion flag is cleared when a Get Chassis Status
         command is processed.
         - The Get Chassis Status command now reads the state of the sensor
           rather than the value of the flag, when reporting chassis intrusion
           state.
- Fixed: Restores the Cipher Suites and features for RMCP+ which had been
         added then removed.
- Fixed: BMC NVRAM incorrect after DHCP configuration
- Fixed: Reduce RMM4 link speed on some platforms for EMI reductions.
         - On platforms S2600CP, S2600IP, W2600CR, S2600CO, S2400GP, S2400SC,
           and S1400FP, RMM4 Dedicated Management NIC should only connect at
           100MBps.
- Fixed: For S2600JF and S2600WP changed RGMII drive strength to correct EMI
         issues.
- Fixed: There is an error message on Virtual Front Panel page when logging
         into Embedded Web Server with user privilege.
          - When logging in with an account which only has the "user" privilege
            set, the "wait" status should not be displayed for the Virtual
            Front Panel.
- Fixed: The format of memory location error message in Embedded Web Server is
         different from SELviewer.
- Fixed: Update FW under EFI Shell using wrong package will cause a hang at
         "BMC Firmware Update Status".
         - If update fails it should now provide an advisory as expected.
- Fixed: S2400LP systems could experience an "NMI activated-system halted"
         error during system reset.
- Fixed: Embedded Web Server - "LOADING...PLEASE WAIT" is not displayed when
         clicking the refresh link.
         - There was text that was white on a white background. This is
         redundant, as the moving gif is visible, and an accepted form of
         loading indicator. This removes the invisible text.
- Fixed: When BMC is booting the on board Status LED is solid Green, the FP
         Status LED is off.
         - For S2600CO, when BMC is booting, the on board Status LED and FP
           status LED now follow the same blink and color status values as
           other platforms.
- Fixed: Static IPs are still retained when all the LAN 1 & LAN 3 IP set to
         DHCP
- Fixed: Reading more than 106 bytes from ID ROM caused an error if the IPMI
         requests was sent via RMCP
- Fixed: Alerts taking 10s after an AC cycle.
- Fixed: The last two SEL record data retrieved by IHC are incorrect when the
         SEL is full.
- Fixed: Clear the SEL and issue Get all SEL Entries using wget in Linux, the
         response is incorrect.
- Fixed: Clear the events, there is no Hex version of "the log area has been
         cleared" when reading events using wget.
- Fixed: The last SEL record data retrieved by IHC was missing compared with
         the selviewer tool.
- Fixed: SEL/Power/FWver handlers are not giving error response for IHC
         negative testing.
- Fixed: Channel Access Disabling command not working correctly.
         - Channel Access flag was not checked before sending the PEF entry.
           This was causing some alerts to be lost.
- Fixed: Power Supply Sensors can get disabled on non-master half-width boards
         - Power Supply Sensors on Half Width boards could be disabled and not
           re-enabled.

===============================================================================
                                01.01.2484
===============================================================================
- Fixed: S1600JP Porting code checked in
- Fixed: Added FRU id for external fan controller board detection.
- Fixed: Updated S2400EP Default.sdr and FCT.sdr according to 1.0 sys config
         table
- Fixed: Fixed ID LED issue broken by fix for chassis issue
- Fixed: HSBP changes: for half-width backplanes, a complex formula decides
         which BMC will act as CMM for the chassis. Added new logic in CMC to
         monitor and grant the PSoC* ownership every 10 seconds. This should
         prevent deadlock issues.
- Fixed: Implemented FWupdate status sensor to log BMC build id (binary) and ME
         build id (bcd) plus decoding logic has been added in Embedded Web
         Server
- Fixed: Modified as per the latest S4600LH SGPIO table
- Fixed: Updated FCT and Default SDRs as per the S4600LH latest FSC sheet
- Fixed: Updated S4600LH Default.sdr and FCT.sdr according to config table 1.0
- Fixed: Modified the Bus number for external fan board FRU
- Fixed: Updated S2400SC Default.sdr and FCT.sdr
- Fixed: SDR S2600JF IB/Depop Factory SDRs are updated to V1.01
- Fixed: SDR Update Default/FCT.sdr of S2600CP to version 1.01.
- Fixed: SDR Update Default/FCT.sdr of S2600CO to version 1.01.
- Fixed: SDR Update Default/FCT.sdr of W2600CR/S2600IP to version 1.01.
- Fixed: SDR Update S2600WP IB/Depop factory SDRs to V0.07
- Fixed: In Embedded Web Server cannot see the RMM4 LAN alerts setting when
         using IDA to set it.
         - Corrected the alert entry and destination selector configuration
           similar to IDA, so configuration by Embedded Web Server will be
           visible to IDA and vice versa.
- Fixed: W2600CR: IPMITOOL cannot activate SOL session, with console
         redirection enabled via serial port B
- Fixed: W2600CR: DPCCLI cannot be redirected to the serial B output with the
         console redirection enable on serial port B
         - W2600CR board doesn't have COM port COMA, SOL was failing because
           default port was COMA. Now checks for COMB as well.
- Fixed: Debug dump now contains BMC revision number.
- Fixed: Removed almost all BMC centric debug dump from the regular file. Also,
         removed memory info and processes info in the regular debug dump file.
- Fixed: No information about support PEC in debug file.
         - Add information about support PEC in debug file
- Fixed: Send IPMI command to Read Platform Debug Log file has response "C1"
         - Command to Read Platform Debug Log file was returning Normal
           Completion in a circumstance where it should have returned invalid
           command (C1)
- Fixed: Stop the PSU fan, system status LED blink green. after a while, it
         return to solid green, but the PSU FAN still remain stopped
         - Updates to PSU Firmware for 460W and 1200W 00 & S3F power supplies
- Fixed: The VR Watchdog Timeout sensor will auto re-arm within 1 second when
         system power good is deasserted and held deasserted
         - When the VR timeout event was asserted, the VR timeout flag was
           cleared. It resulted in a deassertion in the next sensor scan. Will
           not clear the flag until the VR power good# is asserted
- Fixed: S2400SC: When causing a CPU 2 fan failure ,the rear fan fault LED will
         turn to solid amber
         - CPU2 FAN fault LED and Rear FAN fault LED SGPIO number was swapped,
           resulting in incorrect LED lighting amber when one or the other
           failed
- Fixed: There are some failures in the VLAN ID  stress test .
         - VLAN config fixes:
           - VLAN ID was not always being read back correctly.
           - Fixed to return IPMI value for VLAN ID, not stale value
           - Fixed VLAN Priority to work like all the other network parameters
           - Fixed IPv6 support
           - Fixed setting IPv6 to DHCP on web, which was erroneously returning
             IPMI Error 213
- Fixed: The Virtual Front Panel chassis ID LED blinking frequency is not
         synchronized with the front panel chassis ID LED
         - Virtual Front Panel was not reflecting chassis ID LED blink. It now
           detects and replicates this
- Fixed: There is a "BB +1.1V STBY low critical" event in SEL after AC cycling
         the SUT
         - 1.1V Standby voltage senor generating unwanted events when AC was
           removed with DC power on. Root caused to the 1.1V Stby voltage rail
           dropping very rapidly when AC is removed from a system that has DC
           power on. The BMC runs for a longer period so it saw the voltage
           drop out and generated events for it. Fix is to ignore voltage lower
           threshold crossings on this sensor if AC power is removed with DC
           power on.
- Fixed: Issue "Set CR Configuration" command with invalid value, the response
         isn't the correct error code
         - Was setting the user specific ranking. Ranking should be unique and
           less than number of working PS, should reject invalid numbers now.
- Fixed: S2600WP: MBE/DBE memory error did not sent SNMP and Email Alerts
- Fixed: Continuous Add SEL requests via KCS or IPMB leads to BMC auto-reset
- Fixed: Fwpiaupdt 11 Build 2: BMC update takes too long in all OS and EFI
- Fixed: Webserver sometimes shows socket error and does not respond till
         timeout when buttons pressed in quick succession
         - The refresh button at the bottom of the sensor reading page wasn't
           set to disable after a request, allowing for multiple rapid-fire
           requests with a very large overhead. The refresh button is now
           locked until the request completes, to prevent ASP floods on the
           sensor reading page.
- Fixed: RMM4 Ping Pong test failing with latest BMC 1.00
         - RMCP PING packets with non-0xff sequence were being dropped, but
           non-0xFF sequence numbers are allowed when the sender wants an ACK
           reply.
- Fixed: Update to BMC 1.0 with boot flag alone, doesn't reflect the boot area
         version
- Fixed: BMC Debug console constantly reporting "Invalid Logical GPIO: 197. Max
         is 161!" errors
- Fixed: Extended SEL severity code for Deassertions has non-informational
         severity
- Added: FRU IDs for PCI Risers 3 and 4 for S4600LH
- Added: Initial FRUSDR release package for S4600LH
- Added: IO Module 2 support for S4600LH
- Added: IO Module 2 temp sensor support for S4600LH
- Added: P3 and P4 related voltage sensors support for S4600LH
- Added: System fan1 and fan2 sensor numbers for S4600LH baseboard only support
- Added: BMC command implemented to read the ID and system fault LED

===============================================================================
                                01.00.2612
===============================================================================
- First production release of BMC
